<?php
require_once "Cliente.php";

class Contexto
{
    private $id;
    private $nombre;
    private $cliente;
    private $contenido;

    public function getId()
    {return $this->id;}
    public function getCliente()
    {return $this->cliente;}
    public function getNombre()
    {return $this->nombre;}
    public function getContenido()
    {return $this->contenido;}

    public function setCliente($cliente)
    {$this->cliente = $cliente;}
    public function setNombre($nombre)
    {
        $this->nombre = $nombre;
    }
    public function setContenido($contenido)
    {
        $this->contenido = $contenido;
    }
    public function __construct()
    {
        $args = func_get_args();
        $cantArgs = func_num_args();
        if (method_exists($this, $f = "__construct" . $cantArgs)) {
            call_user_func_array(array($this, $f), $args);
        }
    }
    public function toJSON()
    {
        $cliente = $this->cliente;
        if ($cliente != null) {
            $cliente = $cliente->toJSON();
        }
        $resp = array();
        $resp["id"] = $this->id;
        $resp["cliente"] = $cliente;
        $resp["contenido"] = $this->contenido;
        $resp["nombre"] = $this->nombre;
        return $resp;
    }
    public function __construct0()
    {
        $this->id = null;
        $this->nombre = null;
        $this->cliente = null;
        $this->contenido = null;
    }
    public function __construct1(Contexto $contexto)
    {
        $this->id = $contexto->id;
        $this->nombre = $contexto->nombre;
        $this->cliente = $contexto->cliente;
        $this->contenido = $contexto->contenido;
    }
    public function __construct2($id, $nombre)
    {
        $this->id = $id;
        $this->nombre = $nombre;
    }

    public function __construct3($nombre, $cliente, $contenido)
    {
        $this->nombre = $nombre;
        $this->cliente = $cliente;
        $this->contenido = $contenido;
    }
    public function __construct4($id, $nombre, $cliente, $contenido)
    {
        $this->id = $id;
        $this->nombre = $nombre;
        $this->cliente = $cliente;
        $this->contenido = $contenido;
    }
}
